# $Revision: 1.17 $, $Date: 2004/05/31 22:27:02 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Guile
Summary:	Guile Perl module - a Perl binding to Guile interpreter
Summary(pl):	Modu Perla Guile - dowizanie Perla do interpretera Guile
Name:		perl-Guile
Version:	0.002
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	2bbb0979d1ab4c208e9614fb35496b0f
Patch0:		%{name}-includes.patch
Patch1:		%{name}-warning.patch
Patch2:		%{name}-types.patch
BuildRequires:	guile-devel >= 1.5.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an interface to the GNU Guile system. Guile is an
interpreter for the Scheme programming language.

%description -l pl
Ten modu udostpnia interfejs do systemu GNU Guile. Guile jest
interpterem jzyka programowania Scheme.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Guile.pm
%{perl_vendorarch}/Guile
%dir %{perl_vendorarch}/auto/Guile
%dir %{perl_vendorarch}/auto/Guile/*
%{perl_vendorarch}/auto/Guile/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Guile/*/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Guile.spec,v $
Revision 1.17  2004/05/31 22:27:02  qboosh
- added types patch (needed on 64-bit archs), release 2

Revision 1.16  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/05 11:02:12  ankry
- cosmetics

Revision 1.14  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.13  2004/04/20 23:07:59  ankry
- ported to new bconds

Revision 1.12  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.11  2004/04/09 18:54:04  adamg
- updated to 0.002

Revision 1.10  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:32:53  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/12/25 01:30:34  qboosh
- added includes patch to allow guile in /usr
- added warning patch to fix one gcc warning (code is compiled with -Werror)
- BR: perl with float support in typemap
- added tests

Revision 1.3  2002/08/18 12:07:33  blues
- release 2 - license fix; STBR

Revision 1.2  2002/07/14 14:15:18  qboosh
- added missing file (quite important)

Revision 1.1  2002/07/13 23:13:46  qboosh
- new
